Page MenuHomePhabricator

Unused timing/benchmarking in VideoTranscodeTest::runTranscodeJobs
Closed, ResolvedPublic

Description

VideoTranscodeTest::runTranscodeJobs has

				$t = microtime( true );
				$offset = $job->id;
				$status = $job->run();
				$t = microtime( true ) - $t;
				$timeMs = intval( $t * 1000 );

But it's not used for anything. Is it needed/wanted? Or should it just be removed?

Event Timeline

Reedy created this task.Jun 6 2020, 4:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 6 2020, 4:57 PM

Change 612628 had a related patch set uploaded (by Brion VIBBER; owner: Brion VIBBER):
[mediawiki/extensions/TimedMediaHandler@master] Remove unused timing/benchmarking

https://gerrit.wikimedia.org/r/612628

brion moved this task from To sort to In progress on the TimedMediaHandler board.Jul 14 2020, 4:24 PM

Change 612628 merged by jenkins-bot:
[mediawiki/extensions/TimedMediaHandler@master] Remove unused timing/benchmarking

https://gerrit.wikimedia.org/r/612628

brion closed this task as Resolved.Jul 16 2020, 6:29 PM
brion claimed this task.
brion added a subscriber: brion.

merged and done.